import { EventEmitter } from "events";

export type Dictionary<T> = { [key: string]: T };

export type log = (msg: string) => void;

export type Homebridge = {
    registerPlatform: (
        platformName: string,
        platformExtension: string,
        platformClass: new (log: log, config: {}, api: EventEmitter) => void,
        someBool: boolean
    ) => void;
}